/*
 * fmsn
 * Copyright (C) 2003  Choiday
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
 *
 * Choiday
 * day@smileday.net
 */

#ifndef CALLBACKS_H
#define CALLBACKS_H

#include <gtk/gtk.h>
#include <fcntl.h>
#include "mainstream.h"

void
on_mainwindow_destroy                  (GtkObject       *object,
                                        gpointer         user_data);

void
on_login1_activate                     (GtkMenuItem     *menuitem,
                                        gpointer         user_data);

void
on_logout1_activate                    (GtkMenuItem     *menuitem,
                                        gpointer         user_data);

void
on_online1_activate                    (GtkMenuItem     *menuitem,
                                        gpointer         user_data);

void
on_busy1_activate                      (GtkMenuItem     *menuitem,
                                        gpointer         user_data);

void
on_i_ll_be_back1_activate              (GtkMenuItem     *menuitem,
                                        gpointer         user_data);

void
on_away1_activate                      (GtkMenuItem     *menuitem,
                                        gpointer         user_data);

void
on_phone1_activate                     (GtkMenuItem     *menuitem,
                                        gpointer         user_data);

void
on_eat_something1_activate             (GtkMenuItem     *menuitem,
                                        gpointer         user_data);

void
on_offline1_activate                   (GtkMenuItem     *menuitem,
                                        gpointer         user_data);

void
on_hotmail1_activate                   (GtkMenuItem     *menuitem,
                                        gpointer         user_data);

void
on_send_a_file1_activate               (GtkMenuItem     *menuitem,
                                        gpointer         user_data);

void
on_open_the_file1_activate             (GtkMenuItem     *menuitem,
                                        gpointer         user_data);

void
on___________q_1_activate              (GtkMenuItem     *menuitem,
                                        gpointer         user_data);

void
on______________t_1_activate           (GtkMenuItem     *menuitem,
                                        gpointer         user_data);

void
on________c_1_activate                 (GtkMenuItem     *menuitem,
                                        gpointer         user_data);

void
on_______________p_1_activate          (GtkMenuItem     *menuitem,
                                        gpointer         user_data);

void
on_add_a_friend1_activate              (GtkMenuItem     *menuitem,
                                        gpointer         user_data);

void
on_find_some_friends1_activate         (GtkMenuItem     *menuitem,
                                        gpointer         user_data);

void
on_advanced_search1_activate           (GtkMenuItem     *menuitem,
                                        gpointer         user_data);

void
on_search_by1_activate                 (GtkMenuItem     *menuitem,
                                        gpointer         user_data);

void
on_manage_friends1_activate            (GtkMenuItem     *menuitem,
                                        gpointer         user_data);

void
on_delete_friends1_activate            (GtkMenuItem     *menuitem,
                                        gpointer         user_data);

void
on_view_profile1_activate              (GtkMenuItem     *menuitem,
                                        gpointer         user_data);

void
on_preference1_activate                (GtkMenuItem     *menuitem,
                                        gpointer         user_data);

void
on_manage_groups1_activate             (GtkMenuItem     *menuitem,
                                        gpointer         user_data);

void
on_add_group1_activate                 (GtkMenuItem     *menuitem,
                                        gpointer         user_data);

void
on_delete_group1_activate              (GtkMenuItem     *menuitem,
                                        gpointer         user_data);

void
on_rename_group1_activate              (GtkMenuItem     *menuitem,
                                        gpointer         user_data);

void
on_sort_by1_activate                   (GtkMenuItem     *menuitem,
                                        gpointer         user_data);

void
on_group1_activate                     (GtkMenuItem     *menuitem,
                                        gpointer         user_data);

void
on_online_offline1_activate            (GtkMenuItem     *menuitem,
                                        gpointer         user_data);

void
on_regroup_offline1_activate           (GtkMenuItem     *menuitem,
                                        gpointer         user_data);

void
on_option1_activate                    (GtkMenuItem     *menuitem,
                                        gpointer         user_data);

void
on_about1_activate                     (GtkMenuItem     *menuitem,
                                        gpointer         user_data);

void
on_Clicktologin_clicked                (GtkButton       *button,
                                        gpointer         user_data);

void
on_loginwindow_destroy                 (GtkObject       *object,
                                        gpointer         user_data);

void
on_password_activate                   (GtkEntry        *entry,
                                        gpointer         user_data);

void
on_checkbutton1_toggled                (GtkToggleButton *togglebutton,
                                        gpointer         user_data);

void
on_login_button_clicked                (GtkButton       *button,
                                        gpointer         user_data);

void
on_chatwindow_destroy                  (GtkObject       *object,
                                        gpointer         user_data);

void
on________s_1_activate                 (GtkMenuItem     *menuitem,
                                        gpointer         user_data);

void
on____________________________a_1_activate
                                        (GtkMenuItem     *menuitem,
                                        gpointer         user_data);

void
on___________q_2_activate              (GtkMenuItem     *menuitem,
                                        gpointer         user_data);

void
on______________t_2_activate           (GtkMenuItem     *menuitem,
                                        gpointer         user_data);

void
on________c_2_activate                 (GtkMenuItem     *menuitem,
                                        gpointer         user_data);

void
on_______________p_2_activate          (GtkMenuItem     *menuitem,
                                        gpointer         user_data);

void
on_block1_activate                     (GtkMenuItem     *menuitem,
                                        gpointer         user_data);

void
on_view_profile2_activate              (GtkMenuItem     *menuitem,
                                        gpointer         user_data);

void
on_invite1_activate                    (GtkMenuItem     *menuitem,
                                        gpointer         user_data);

void
on_send_a_file2_activate               (GtkMenuItem     *menuitem,
                                        gpointer         user_data);

void
on_send_a_mail1_activate               (GtkMenuItem     *menuitem,
                                        gpointer         user_data);

void
on_about3_activate                     (GtkMenuItem     *menuitem,
                                        gpointer         user_data);

void
on_sendfilebutton_clicked              (GtkButton       *button,
                                        gpointer         user_data);

void
on_invitebutton_clicked                (GtkButton       *button,
                                        gpointer         user_data);

void
on_blockbutton_clicked                 (GtkButton       *button,
                                        gpointer         user_data);

void
on_fontbutton_clicked                  (GtkButton       *button,
                                        gpointer         user_data);

void
on_smilebutton_clicked                 (GtkButton       *button,
                                        gpointer         user_data);

void
on_chatentry_activate                  (GtkEntry        *entry,
                                        gpointer         user_data);

void
on_chatentry_changed                      (GtkEditable     *editable,
                                        gpointer         user_data);

void
on_sendbutton_clicked                  (GtkButton       *button,
                                        gpointer         user_data);
										
void
on_row_activated (GtkTreeView *tree_view, GtkTreePath *path, GtkTreeViewColumn *column);

#endif
