/*
 * fmsn
 * Copyright (C) 2003  Choiday
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
 *
 * Choiday
 * day@smileday.net
 */

#ifdef HAVE_CONFIG_H
#  include <config.h>
#endif

#include <sys/types.h>
#include <sys/stat.h>
#include <unistd.h>
#include <string.h>
#include <stdio.h>

#include <gdk/gdkkeysyms.h>
#include <gtk/gtk.h>

#include "callbacks.h"
#include "interface.h"
#include "support.h"
#include "global.h"
#include "session.h"

GtkWidget *ID_combo_entry;
GtkWidget *password;
GtkWidget *main_viewport;
GtkWidget *loginwindow;
GtkWidget *scrolledwindow3;
GtkWidget *mainwindow;

void about_me(void)
{
	GtkWidget *aboutme;
	aboutme = gtk_message_dialog_new(NULL,
							GTK_DIALOG_MODAL,
							GTK_MESSAGE_INFO,
							GTK_BUTTONS_CLOSE,
							_("I love HJ. HOHOHO"));
	gtk_widget_show(aboutme);
	g_signal_connect_swapped (GTK_OBJECT (aboutme), "response",
						   G_CALLBACK (gtk_widget_destroy),
						   GTK_OBJECT (aboutme));
}	
 
 

GtkWidget*
create_mainwindow (void)
{
  GtkWidget *vbox1;
  GtkWidget *main_menubar;
  GtkWidget *menuitem1;
  GtkWidget *menuitem1_menu;
  GtkWidget *login1;
  GtkWidget *logout1;
  GtkWidget *my_status1;
  GtkWidget *my_status1_menu;
  GSList *online1_group = NULL;
  GtkWidget *online1;
  GtkWidget *busy1;
  GtkWidget *i_ll_be_back1;
  GtkWidget *away1;
  GtkWidget *phone1;
  GtkWidget *eat_something1;
  GtkWidget *offline1;
  GtkWidget *_________1;
  GtkWidget *hotmail1;
  GtkWidget *_________2;
  GtkWidget *send_a_file1;
  GtkWidget *open_the_file1;
  GtkWidget *separatormenuitem1;
  GtkWidget *__________q_1;
  GtkWidget *menuitem2;
  GtkWidget *menuitem2_menu;
  GtkWidget *_____________t_1;
  GtkWidget *_______c_1;
  GtkWidget *______________p_1;
  GtkWidget *menuitem3;
  GtkWidget *menuitem3_menu;
  GtkWidget *add_a_friend1;
  GtkWidget *find_some_friends1;
  GtkWidget *find_some_friends1_menu;
  GtkWidget *advanced_search1;
  GtkWidget *search_by1;
  GtkWidget *_________3;
  GtkWidget *manage_friends1;
  GtkWidget *manage_friends1_menu;
  GtkWidget *delete_friends1;
  GtkWidget *view_profile1;
  GtkWidget *preference1;
  GtkWidget *manage_groups1;
  GtkWidget *manage_groups1_menu;
  GtkWidget *add_group1;
  GtkWidget *delete_group1;
  GtkWidget *rename_group1;
  GtkWidget *_________4;
  GtkWidget *sort_by1;
  GtkWidget *sort_by1_menu;
  GSList *group1_group = NULL;
  GtkWidget *group1;
  GtkWidget *online_offline1;
  GtkWidget *regroup_offline1;
  GtkWidget *_________5;
  GtkWidget *option1;
  GtkWidget *menuitem4;
  GtkWidget *menuitem4_menu;
  GtkWidget *about1;
  
  GtkWidget *fixed1;
  GtkWidget *Clicktologin;
  GtkAccelGroup *accel_group;

								
  accel_group = gtk_accel_group_new ();

  mainwindow = gtk_window_new (GTK_WINDOW_TOPLEVEL);
   gtk_window_set_title (GTK_WINDOW (mainwindow), _("FMSN - NO WAR"));

 vbox1 = gtk_vbox_new (FALSE, 0);
  gtk_widget_show (vbox1);
  gtk_container_add (GTK_CONTAINER (mainwindow), vbox1);

  main_menubar = gtk_menu_bar_new ();
  gtk_widget_show (main_menubar);
  gtk_box_pack_start (GTK_BOX (vbox1), main_menubar, FALSE, FALSE, 0);

  menuitem1 = gtk_menu_item_new_with_mnemonic (_("_Action"));
  gtk_widget_show (menuitem1);
  gtk_container_add (GTK_CONTAINER (main_menubar), menuitem1);

  menuitem1_menu = gtk_menu_new ();
  gtk_menu_item_set_submenu (GTK_MENU_ITEM (menuitem1), menuitem1_menu);

  login1 = gtk_menu_item_new_with_mnemonic (_("_Login"));
  gtk_widget_show (login1);
  gtk_container_add (GTK_CONTAINER (menuitem1_menu), login1);

  logout1 = gtk_menu_item_new_with_mnemonic (_("Lo_gout"));
  gtk_widget_show (logout1);
  gtk_container_add (GTK_CONTAINER (menuitem1_menu), logout1);

  my_status1 = gtk_menu_item_new_with_mnemonic (_("My _Status"));
  gtk_widget_show (my_status1);
  gtk_container_add (GTK_CONTAINER (menuitem1_menu), my_status1);

  my_status1_menu = gtk_menu_new ();
  gtk_menu_item_set_submenu (GTK_MENU_ITEM (my_status1), my_status1_menu);

  online1 = gtk_radio_menu_item_new_with_mnemonic (online1_group, _("_Online"));
  online1_group = gtk_radio_menu_item_group (GTK_RADIO_MENU_ITEM (online1));
  gtk_widget_show (online1);
  gtk_container_add (GTK_CONTAINER (my_status1_menu), online1);
  gtk_check_menu_item_set_active (GTK_CHECK_MENU_ITEM (online1), TRUE);

  busy1 = gtk_radio_menu_item_new_with_mnemonic (online1_group, _("_Busy"));
  online1_group = gtk_radio_menu_item_group (GTK_RADIO_MENU_ITEM (busy1));
  gtk_widget_show (busy1);
  gtk_container_add (GTK_CONTAINER (my_status1_menu), busy1);

  i_ll_be_back1 = gtk_radio_menu_item_new_with_mnemonic (online1_group, _("_I'll be back"));
  online1_group = gtk_radio_menu_item_group (GTK_RADIO_MENU_ITEM (i_ll_be_back1));
  gtk_widget_show (i_ll_be_back1);
  gtk_container_add (GTK_CONTAINER (my_status1_menu), i_ll_be_back1);

  away1 = gtk_radio_menu_item_new_with_mnemonic (online1_group, _("_Away"));
  online1_group = gtk_radio_menu_item_group (GTK_RADIO_MENU_ITEM (away1));
  gtk_widget_show (away1);
  gtk_container_add (GTK_CONTAINER (my_status1_menu), away1);

  phone1 = gtk_radio_menu_item_new_with_mnemonic (online1_group, _("_Phone"));
  online1_group = gtk_radio_menu_item_group (GTK_RADIO_MENU_ITEM (phone1));
  gtk_widget_show (phone1);
  gtk_container_add (GTK_CONTAINER (my_status1_menu), phone1);

  eat_something1 = gtk_radio_menu_item_new_with_mnemonic (online1_group, _("_Eat something"));
  online1_group = gtk_radio_menu_item_group (GTK_RADIO_MENU_ITEM (eat_something1));
  gtk_widget_show (eat_something1);
  gtk_container_add (GTK_CONTAINER (my_status1_menu), eat_something1);

  offline1 = gtk_radio_menu_item_new_with_mnemonic (online1_group, _("O_ffline"));
  online1_group = gtk_radio_menu_item_group (GTK_RADIO_MENU_ITEM (offline1));
  gtk_widget_show (offline1);
  gtk_container_add (GTK_CONTAINER (my_status1_menu), offline1);

  _________1 = gtk_menu_item_new ();
  gtk_widget_show (_________1);
  gtk_container_add (GTK_CONTAINER (menuitem1_menu), _________1);
  gtk_widget_set_sensitive (_________1, FALSE);

  hotmail1 = gtk_menu_item_new_with_mnemonic (_("_Hotmail"));
  gtk_widget_show (hotmail1);
  gtk_container_add (GTK_CONTAINER (menuitem1_menu), hotmail1);

  _________2 = gtk_menu_item_new ();
  gtk_widget_show (_________2);
  gtk_container_add (GTK_CONTAINER (menuitem1_menu), _________2);
  gtk_widget_set_sensitive (_________2, FALSE);

  send_a_file1 = gtk_menu_item_new_with_mnemonic (_("Send a _File"));
  gtk_widget_show (send_a_file1);
  gtk_container_add (GTK_CONTAINER (menuitem1_menu), send_a_file1);

  open_the_file1 = gtk_menu_item_new_with_mnemonic (_("_Open the file"));
  gtk_widget_show (open_the_file1);
  gtk_container_add (GTK_CONTAINER (menuitem1_menu), open_the_file1);

  separatormenuitem1 = gtk_menu_item_new ();
  gtk_widget_show (separatormenuitem1);
  gtk_container_add (GTK_CONTAINER (menuitem1_menu), separatormenuitem1);
  gtk_widget_set_sensitive (separatormenuitem1, FALSE);

  __________q_1 = gtk_image_menu_item_new_from_stock ("gtk-quit", accel_group);
  gtk_widget_show (__________q_1);
  gtk_container_add (GTK_CONTAINER (menuitem1_menu), __________q_1);

  menuitem2 = gtk_menu_item_new_with_mnemonic (_("_Edit"));
  gtk_widget_show (menuitem2);
  gtk_container_add (GTK_CONTAINER (main_menubar), menuitem2);

  menuitem2_menu = gtk_menu_new ();
  gtk_menu_item_set_submenu (GTK_MENU_ITEM (menuitem2), menuitem2_menu);

  _____________t_1 = gtk_image_menu_item_new_from_stock ("gtk-cut", accel_group);
  gtk_widget_show (_____________t_1);
  gtk_container_add (GTK_CONTAINER (menuitem2_menu), _____________t_1);

  _______c_1 = gtk_image_menu_item_new_from_stock ("gtk-copy", accel_group);
  gtk_widget_show (_______c_1);
  gtk_container_add (GTK_CONTAINER (menuitem2_menu), _______c_1);

  ______________p_1 = gtk_image_menu_item_new_from_stock ("gtk-paste", accel_group);
  gtk_widget_show (______________p_1);
  gtk_container_add (GTK_CONTAINER (menuitem2_menu), ______________p_1);

  menuitem3 = gtk_menu_item_new_with_mnemonic (_("_Tool"));
  gtk_widget_show (menuitem3);
  gtk_container_add (GTK_CONTAINER (main_menubar), menuitem3);

  menuitem3_menu = gtk_menu_new ();
  gtk_menu_item_set_submenu (GTK_MENU_ITEM (menuitem3), menuitem3_menu);

  add_a_friend1 = gtk_menu_item_new_with_mnemonic (_("_Add a friend"));
  gtk_widget_show (add_a_friend1);
  gtk_container_add (GTK_CONTAINER (menuitem3_menu), add_a_friend1);

  find_some_friends1 = gtk_menu_item_new_with_mnemonic (_("_Find some friends"));
  gtk_widget_show (find_some_friends1);
  gtk_container_add (GTK_CONTAINER (menuitem3_menu), find_some_friends1);

  find_some_friends1_menu = gtk_menu_new ();
  gtk_menu_item_set_submenu (GTK_MENU_ITEM (find_some_friends1), find_some_friends1_menu);

  advanced_search1 = gtk_menu_item_new_with_mnemonic (_("_Advanced search"));
  gtk_widget_show (advanced_search1);
  gtk_container_add (GTK_CONTAINER (find_some_friends1_menu), advanced_search1);

  search_by1 = gtk_menu_item_new_with_mnemonic (_("_Search by"));
  gtk_widget_show (search_by1);
  gtk_container_add (GTK_CONTAINER (find_some_friends1_menu), search_by1);

  _________3 = gtk_menu_item_new ();
  gtk_widget_show (_________3);
  gtk_container_add (GTK_CONTAINER (menuitem3_menu), _________3);
  gtk_widget_set_sensitive (_________3, FALSE);

  manage_friends1 = gtk_menu_item_new_with_mnemonic (_("_Manage friends"));
  gtk_widget_show (manage_friends1);
  gtk_container_add (GTK_CONTAINER (menuitem3_menu), manage_friends1);

  manage_friends1_menu = gtk_menu_new ();
  gtk_menu_item_set_submenu (GTK_MENU_ITEM (manage_friends1), manage_friends1_menu);

  delete_friends1 = gtk_menu_item_new_with_mnemonic (_("_Delete friends"));
  gtk_widget_show (delete_friends1);
  gtk_container_add (GTK_CONTAINER (manage_friends1_menu), delete_friends1);

  view_profile1 = gtk_menu_item_new_with_mnemonic (_("_View profile"));
  gtk_widget_show (view_profile1);
  gtk_container_add (GTK_CONTAINER (manage_friends1_menu), view_profile1);

  preference1 = gtk_menu_item_new_with_mnemonic (_("_Preference"));
  gtk_widget_show (preference1);
  gtk_container_add (GTK_CONTAINER (manage_friends1_menu), preference1);

  manage_groups1 = gtk_menu_item_new_with_mnemonic (_("Manage _groups"));
  gtk_widget_show (manage_groups1);
  gtk_container_add (GTK_CONTAINER (menuitem3_menu), manage_groups1);

  manage_groups1_menu = gtk_menu_new ();
  gtk_menu_item_set_submenu (GTK_MENU_ITEM (manage_groups1), manage_groups1_menu);

  add_group1 = gtk_menu_item_new_with_mnemonic (_("_Add group"));
  gtk_widget_show (add_group1);
  gtk_container_add (GTK_CONTAINER (manage_groups1_menu), add_group1);

  delete_group1 = gtk_menu_item_new_with_mnemonic (_("_Delete group"));
  gtk_widget_show (delete_group1);
  gtk_container_add (GTK_CONTAINER (manage_groups1_menu), delete_group1);

  rename_group1 = gtk_menu_item_new_with_mnemonic (_("_Rename group"));
  gtk_widget_show (rename_group1);
  gtk_container_add (GTK_CONTAINER (manage_groups1_menu), rename_group1);

  _________4 = gtk_menu_item_new ();
  gtk_widget_show (_________4);
  gtk_container_add (GTK_CONTAINER (menuitem3_menu), _________4);
  gtk_widget_set_sensitive (_________4, FALSE);

  sort_by1 = gtk_menu_item_new_with_mnemonic (_("_Sort by"));
  gtk_widget_show (sort_by1);
  gtk_container_add (GTK_CONTAINER (menuitem3_menu), sort_by1);

  sort_by1_menu = gtk_menu_new ();
  gtk_menu_item_set_submenu (GTK_MENU_ITEM (sort_by1), sort_by1_menu);

  group1 = gtk_radio_menu_item_new_with_mnemonic (group1_group, _("_Group"));
  group1_group = gtk_radio_menu_item_group (GTK_RADIO_MENU_ITEM (group1));
  gtk_widget_show (group1);
  gtk_container_add (GTK_CONTAINER (sort_by1_menu), group1);
  gtk_check_menu_item_set_active (GTK_CHECK_MENU_ITEM (group1), TRUE);

  online_offline1 = gtk_radio_menu_item_new_with_mnemonic (group1_group, _("_Online/Offline"));
  group1_group = gtk_radio_menu_item_group (GTK_RADIO_MENU_ITEM (online_offline1));
  gtk_widget_show (online_offline1);
  gtk_container_add (GTK_CONTAINER (sort_by1_menu), online_offline1);

  regroup_offline1 = gtk_check_menu_item_new_with_mnemonic (_("_Regroup offline"));
  gtk_widget_show (regroup_offline1);
  gtk_container_add (GTK_CONTAINER (menuitem3_menu), regroup_offline1);

  _________5 = gtk_menu_item_new ();
  gtk_widget_show (_________5);
  gtk_container_add (GTK_CONTAINER (menuitem3_menu), _________5);
  gtk_widget_set_sensitive (_________5, FALSE);

  option1 = gtk_menu_item_new_with_mnemonic (_("_Option"));
  gtk_widget_show (option1);
  gtk_container_add (GTK_CONTAINER (menuitem3_menu), option1);

  menuitem4 = gtk_menu_item_new_with_mnemonic (_("_Help"));
  gtk_widget_show (menuitem4);
  gtk_container_add (GTK_CONTAINER (main_menubar), menuitem4);

  menuitem4_menu = gtk_menu_new ();
  gtk_menu_item_set_submenu (GTK_MENU_ITEM (menuitem4), menuitem4_menu);

  about1 = gtk_menu_item_new_with_mnemonic (_("_About"));
  gtk_widget_show (about1);
  gtk_container_add (GTK_CONTAINER (menuitem4_menu), about1);

  scrolledwindow3 = gtk_scrolled_window_new (NULL, NULL);
  gtk_widget_show (scrolledwindow3);
  gtk_box_pack_start (GTK_BOX (vbox1), scrolledwindow3, TRUE, TRUE, 0);
  gtk_widget_set_usize (scrolledwindow3, 343, 396);
  gtk_scrolled_window_set_policy (GTK_SCROLLED_WINDOW (scrolledwindow3), GTK_POLICY_AUTOMATIC, GTK_POLICY_AUTOMATIC);

  main_viewport = gtk_viewport_new (NULL, NULL);
  gtk_widget_show (main_viewport);
  gtk_container_add (GTK_CONTAINER (scrolledwindow3), main_viewport);

  fixed1 = gtk_fixed_new ();
  gtk_widget_show (fixed1);
  gtk_container_add (GTK_CONTAINER (main_viewport), fixed1);

  Clicktologin = gtk_button_new_with_mnemonic (_("Click to login"));
  gtk_widget_show (Clicktologin);
  gtk_fixed_put (GTK_FIXED (fixed1), Clicktologin, 80, 56);
  gtk_widget_set_usize (Clicktologin, 176, 40);
  gtk_container_set_border_width (GTK_CONTAINER (Clicktologin), 2);

  g_signal_connect (GTK_OBJECT (mainwindow), "destroy",
                      GTK_SIGNAL_FUNC (on_mainwindow_destroy),
                      NULL);
  g_signal_connect (GTK_OBJECT (login1), "activate",
                      GTK_SIGNAL_FUNC (on_login1_activate),
                      NULL);
  g_signal_connect (GTK_OBJECT (logout1), "activate",
                      GTK_SIGNAL_FUNC (on_logout1_activate),
                      NULL);
  g_signal_connect (GTK_OBJECT (online1), "activate",
                      GTK_SIGNAL_FUNC (on_online1_activate),
                      NULL);
  g_signal_connect (GTK_OBJECT (busy1), "activate",
                      GTK_SIGNAL_FUNC (on_busy1_activate),
                      NULL);
  g_signal_connect (GTK_OBJECT (i_ll_be_back1), "activate",
                      GTK_SIGNAL_FUNC (on_i_ll_be_back1_activate),
                      NULL);
  g_signal_connect (GTK_OBJECT (away1), "activate",
                      GTK_SIGNAL_FUNC (on_away1_activate),
                      NULL);
  g_signal_connect (GTK_OBJECT (phone1), "activate",
                      GTK_SIGNAL_FUNC (on_phone1_activate),
                      NULL);
  g_signal_connect (GTK_OBJECT (eat_something1), "activate",
                      GTK_SIGNAL_FUNC (on_eat_something1_activate),
                      NULL);
  g_signal_connect (GTK_OBJECT (offline1), "activate",
                      GTK_SIGNAL_FUNC (on_offline1_activate),
                      NULL);
  g_signal_connect (GTK_OBJECT (hotmail1), "activate",
                      GTK_SIGNAL_FUNC (on_hotmail1_activate),
                      NULL);
  g_signal_connect (GTK_OBJECT (send_a_file1), "activate",
                      GTK_SIGNAL_FUNC (on_send_a_file1_activate),
                      NULL);
  g_signal_connect (GTK_OBJECT (open_the_file1), "activate",
                      GTK_SIGNAL_FUNC (on_open_the_file1_activate),
                      NULL);
  g_signal_connect (GTK_OBJECT (__________q_1), "activate",
                      GTK_SIGNAL_FUNC (on___________q_1_activate),
                      NULL);
  g_signal_connect (GTK_OBJECT (_____________t_1), "activate",
                      GTK_SIGNAL_FUNC (on______________t_1_activate),
                      NULL);
  g_signal_connect (GTK_OBJECT (_______c_1), "activate",
                      GTK_SIGNAL_FUNC (on________c_1_activate),
                      NULL);
  g_signal_connect (GTK_OBJECT (______________p_1), "activate",
                      GTK_SIGNAL_FUNC (on_______________p_1_activate),
                      NULL);
  g_signal_connect (GTK_OBJECT (add_a_friend1), "activate",
                      GTK_SIGNAL_FUNC (on_add_a_friend1_activate),
                      NULL);
  g_signal_connect (GTK_OBJECT (find_some_friends1), "activate",
                      GTK_SIGNAL_FUNC (on_find_some_friends1_activate),
                      NULL);
  g_signal_connect (GTK_OBJECT (advanced_search1), "activate",
                      GTK_SIGNAL_FUNC (on_advanced_search1_activate),
                      NULL);
  g_signal_connect (GTK_OBJECT (search_by1), "activate",
                      GTK_SIGNAL_FUNC (on_search_by1_activate),
                      NULL);
  g_signal_connect (GTK_OBJECT (manage_friends1), "activate",
                      GTK_SIGNAL_FUNC (on_manage_friends1_activate),
                      NULL);
  g_signal_connect (GTK_OBJECT (delete_friends1), "activate",
                      GTK_SIGNAL_FUNC (on_delete_friends1_activate),
                      NULL);
  g_signal_connect (GTK_OBJECT (view_profile1), "activate",
                      GTK_SIGNAL_FUNC (on_view_profile1_activate),
                      NULL);
  g_signal_connect (GTK_OBJECT (preference1), "activate",
                      GTK_SIGNAL_FUNC (on_preference1_activate),
                      NULL);
  g_signal_connect (GTK_OBJECT (manage_groups1), "activate",
                      GTK_SIGNAL_FUNC (on_manage_groups1_activate),
                      NULL);
  g_signal_connect (GTK_OBJECT (add_group1), "activate",
                      GTK_SIGNAL_FUNC (on_add_group1_activate),
                      NULL);
  g_signal_connect (GTK_OBJECT (delete_group1), "activate",
                      GTK_SIGNAL_FUNC (on_delete_group1_activate),
                      NULL);
  g_signal_connect (GTK_OBJECT (rename_group1), "activate",
                      GTK_SIGNAL_FUNC (on_rename_group1_activate),
                      NULL);
  g_signal_connect (GTK_OBJECT (sort_by1), "activate",
                      GTK_SIGNAL_FUNC (on_sort_by1_activate),
                      NULL);
  g_signal_connect (GTK_OBJECT (group1), "activate",
                      GTK_SIGNAL_FUNC (on_group1_activate),
                      NULL);
  g_signal_connect (GTK_OBJECT (online_offline1), "activate",
                      GTK_SIGNAL_FUNC (on_online_offline1_activate),
                      NULL);
  g_signal_connect (GTK_OBJECT (regroup_offline1), "activate",
                      GTK_SIGNAL_FUNC (on_regroup_offline1_activate),
                      NULL);
  g_signal_connect (GTK_OBJECT (option1), "activate",
                      GTK_SIGNAL_FUNC (on_option1_activate),
                      NULL);
  g_signal_connect (GTK_OBJECT (about1), "activate",
                      GTK_SIGNAL_FUNC (on_about1_activate),
                      NULL);
  g_signal_connect (GTK_OBJECT (Clicktologin), "clicked",
                      GTK_SIGNAL_FUNC (on_Clicktologin_clicked),
                      NULL);
  /* Store pointers to all widgets, for use by lookup_widget(). */
  GLADE_HOOKUP_OBJECT_NO_REF (mainwindow, mainwindow, "mainwindow");
  GLADE_HOOKUP_OBJECT (mainwindow, vbox1, "vbox1");
  GLADE_HOOKUP_OBJECT (mainwindow, main_menubar, "main_menubar");
  GLADE_HOOKUP_OBJECT (mainwindow, menuitem1, "menuitem1");
  GLADE_HOOKUP_OBJECT (mainwindow, menuitem1_menu, "menuitem1_menu");
  GLADE_HOOKUP_OBJECT (mainwindow, login1, "login1");
  GLADE_HOOKUP_OBJECT (mainwindow, logout1, "logout1");
  GLADE_HOOKUP_OBJECT (mainwindow, my_status1, "my_status1");
  GLADE_HOOKUP_OBJECT (mainwindow, my_status1_menu, "my_status1_menu");
  GLADE_HOOKUP_OBJECT (mainwindow, online1, "online1");
  GLADE_HOOKUP_OBJECT (mainwindow, busy1, "busy1");
  GLADE_HOOKUP_OBJECT (mainwindow, i_ll_be_back1, "i_ll_be_back1");
  GLADE_HOOKUP_OBJECT (mainwindow, away1, "away1");
  GLADE_HOOKUP_OBJECT (mainwindow, phone1, "phone1");
  GLADE_HOOKUP_OBJECT (mainwindow, eat_something1, "eat_something1");
  GLADE_HOOKUP_OBJECT (mainwindow, offline1, "offline1");
  GLADE_HOOKUP_OBJECT (mainwindow, _________1, "_________1");
  GLADE_HOOKUP_OBJECT (mainwindow, hotmail1, "hotmail1");
  GLADE_HOOKUP_OBJECT (mainwindow, _________2, "_________2");
  GLADE_HOOKUP_OBJECT (mainwindow, send_a_file1, "send_a_file1");
  GLADE_HOOKUP_OBJECT (mainwindow, open_the_file1, "open_the_file1");
  GLADE_HOOKUP_OBJECT (mainwindow, separatormenuitem1, "separatormenuitem1");
  GLADE_HOOKUP_OBJECT (mainwindow, __________q_1, "__________q_1");
  GLADE_HOOKUP_OBJECT (mainwindow, menuitem2, "menuitem2");
  GLADE_HOOKUP_OBJECT (mainwindow, menuitem2_menu, "menuitem2_menu");
  GLADE_HOOKUP_OBJECT (mainwindow, _____________t_1, "_____________t_1");
  GLADE_HOOKUP_OBJECT (mainwindow, _______c_1, "_______c_1");
  GLADE_HOOKUP_OBJECT (mainwindow, ______________p_1, "______________p_1");
  GLADE_HOOKUP_OBJECT (mainwindow, menuitem3, "menuitem3");
  GLADE_HOOKUP_OBJECT (mainwindow, menuitem3_menu, "menuitem3_menu");
  GLADE_HOOKUP_OBJECT (mainwindow, add_a_friend1, "add_a_friend1");
  GLADE_HOOKUP_OBJECT (mainwindow, find_some_friends1, "find_some_friends1");
  GLADE_HOOKUP_OBJECT (mainwindow, find_some_friends1_menu, "find_some_friends1_menu");
  GLADE_HOOKUP_OBJECT (mainwindow, advanced_search1, "advanced_search1");
  GLADE_HOOKUP_OBJECT (mainwindow, search_by1, "search_by1");
  GLADE_HOOKUP_OBJECT (mainwindow, _________3, "_________3");
  GLADE_HOOKUP_OBJECT (mainwindow, manage_friends1, "manage_friends1");
  GLADE_HOOKUP_OBJECT (mainwindow, manage_friends1_menu, "manage_friends1_menu");
  GLADE_HOOKUP_OBJECT (mainwindow, delete_friends1, "delete_friends1");
  GLADE_HOOKUP_OBJECT (mainwindow, view_profile1, "view_profile1");
  GLADE_HOOKUP_OBJECT (mainwindow, preference1, "preference1");
  GLADE_HOOKUP_OBJECT (mainwindow, manage_groups1, "manage_groups1");
  GLADE_HOOKUP_OBJECT (mainwindow, manage_groups1_menu, "manage_groups1_menu");
  GLADE_HOOKUP_OBJECT (mainwindow, add_group1, "add_group1");
  GLADE_HOOKUP_OBJECT (mainwindow, delete_group1, "delete_group1");
  GLADE_HOOKUP_OBJECT (mainwindow, rename_group1, "rename_group1");
  GLADE_HOOKUP_OBJECT (mainwindow, _________4, "_________4");
  GLADE_HOOKUP_OBJECT (mainwindow, sort_by1, "sort_by1");
  GLADE_HOOKUP_OBJECT (mainwindow, sort_by1_menu, "sort_by1_menu");
  GLADE_HOOKUP_OBJECT (mainwindow, group1, "group1");
  GLADE_HOOKUP_OBJECT (mainwindow, online_offline1, "online_offline1");
  GLADE_HOOKUP_OBJECT (mainwindow, regroup_offline1, "regroup_offline1");
  GLADE_HOOKUP_OBJECT (mainwindow, _________5, "_________5");
  GLADE_HOOKUP_OBJECT (mainwindow, option1, "option1");
  GLADE_HOOKUP_OBJECT (mainwindow, menuitem4, "menuitem4");
  GLADE_HOOKUP_OBJECT (mainwindow, menuitem4_menu, "menuitem4_menu");
  GLADE_HOOKUP_OBJECT (mainwindow, about1, "about1");
  GLADE_HOOKUP_OBJECT (mainwindow, scrolledwindow3, "scrolledwindow3");
  GLADE_HOOKUP_OBJECT (mainwindow, main_viewport, "main_viewport");
  GLADE_HOOKUP_OBJECT (mainwindow, fixed1, "fixed1");
  GLADE_HOOKUP_OBJECT (mainwindow, Clicktologin, "Clicktologin");
   gtk_window_add_accel_group (GTK_WINDOW (mainwindow), accel_group);

  return mainwindow;
}

GtkWidget*
create_loginwindow (void)
{
  GtkWidget *table1;
  GtkWidget *ID_combo;
  GtkWidget *ID_label;
  GtkWidget *PW_label;
  GtkWidget *autologin_checkbutton;
  GtkWidget *login_button;


  loginwindow = gtk_window_new (GTK_WINDOW_TOPLEVEL);
  gtk_window_set_title (GTK_WINDOW (loginwindow), _("LOGIN"));
  gtk_window_set_modal (GTK_WINDOW (loginwindow), TRUE);
  gtk_window_set_resizable (GTK_WINDOW (loginwindow), FALSE);
  gtk_window_set_destroy_with_parent (GTK_WINDOW (loginwindow), TRUE);

  table1 = gtk_table_new (3, 2, FALSE);
  gtk_widget_show (table1);
  gtk_container_add (GTK_CONTAINER (loginwindow), table1);
  gtk_widget_set_usize (table1, 330, 90);
  gtk_container_set_border_width (GTK_CONTAINER (table1), 11);

  ID_combo = gtk_combo_new ();
  gtk_object_set_data (GTK_OBJECT (GTK_COMBO (ID_combo)->popwin),
                       "GladeParentKey", ID_combo);
  gtk_widget_show (ID_combo);
  gtk_table_attach (GTK_TABLE (table1), ID_combo, 1, 2, 0, 1,
                    (GtkAttachOptions) (GTK_EXPAND | GTK_FILL),
                    (GtkAttachOptions) (0), 0, 0);

  ID_combo_entry = GTK_COMBO (ID_combo)->entry;
  gtk_widget_show (ID_combo_entry);

  password = gtk_entry_new ();
  gtk_widget_show (password);
  gtk_table_attach (GTK_TABLE (table1), password, 1, 2, 1, 2,
                    (GtkAttachOptions) (GTK_EXPAND | GTK_FILL),
                    (GtkAttachOptions) (0), 0, 0);
  gtk_entry_set_visibility (GTK_ENTRY (password), FALSE);

  ID_label = gtk_label_new (_("Identification"));
  gtk_widget_show (ID_label);
  gtk_table_attach (GTK_TABLE (table1), ID_label, 0, 1, 0, 1,
                    (GtkAttachOptions) (GTK_FILL),
                    (GtkAttachOptions) (0), 0, 0);
  gtk_label_set_justify (GTK_LABEL (ID_label), GTK_JUSTIFY_LEFT);
  gtk_misc_set_alignment (GTK_MISC (ID_label), 0, 0.5);

  PW_label = gtk_label_new (_("Password"));
  gtk_widget_show (PW_label);
  gtk_table_attach (GTK_TABLE (table1), PW_label, 0, 1, 1, 2,
                    (GtkAttachOptions) (GTK_FILL),
                    (GtkAttachOptions) (0), 0, 0);
  gtk_label_set_justify (GTK_LABEL (PW_label), GTK_JUSTIFY_LEFT);
  gtk_misc_set_alignment (GTK_MISC (PW_label), 0, 0.5);

  autologin_checkbutton = gtk_check_button_new_with_mnemonic (_("Autologin"));
  gtk_widget_show (autologin_checkbutton);
  gtk_table_attach (GTK_TABLE (table1), autologin_checkbutton, 0, 1, 2, 3,
                    (GtkAttachOptions) (GTK_FILL),
                    (GtkAttachOptions) (0), 0, 0);

  login_button = gtk_button_new_with_mnemonic (_("Login"));
  gtk_widget_show (login_button);
  gtk_table_attach (GTK_TABLE (table1), login_button, 1, 2, 2, 3,
                    (GtkAttachOptions) (GTK_FILL),
                    (GtkAttachOptions) (0), 0, 0);

  g_signal_connect (GTK_OBJECT (loginwindow), "destroy",
                      GTK_SIGNAL_FUNC (on_loginwindow_destroy),
                      NULL);
  g_signal_connect (GTK_OBJECT (password), "activate",
                      GTK_SIGNAL_FUNC (on_password_activate),
                      NULL);
  g_signal_connect (GTK_OBJECT (autologin_checkbutton), "toggled",
                      GTK_SIGNAL_FUNC (on_checkbutton1_toggled),
                      NULL);
  g_signal_connect (GTK_OBJECT (login_button), "clicked",
                      GTK_SIGNAL_FUNC (on_login_button_clicked),
                      NULL);

  /* Store pointers to all widgets, for use by lookup_widget(). */
  GLADE_HOOKUP_OBJECT_NO_REF (loginwindow, loginwindow, "loginwindow");
  GLADE_HOOKUP_OBJECT (loginwindow, table1, "table1");
  GLADE_HOOKUP_OBJECT (loginwindow, ID_combo, "ID_combo");
  GLADE_HOOKUP_OBJECT (loginwindow, ID_combo_entry, "ID_combo_entry");
  GLADE_HOOKUP_OBJECT (loginwindow, password, "password");
  GLADE_HOOKUP_OBJECT (loginwindow, ID_label, "ID_label");
  GLADE_HOOKUP_OBJECT (loginwindow, PW_label, "PW_label");
  GLADE_HOOKUP_OBJECT (loginwindow, autologin_checkbutton, "autologin_checkbutton");
  GLADE_HOOKUP_OBJECT (loginwindow, login_button, "login_button");

  return loginwindow;
}

GtkWidget*
create_chatwindow (GIOChannel *channel)
{
  GtkWidget *chatwindow;
	GtkWidget *session;
  GtkWidget *vbox2;
  GtkWidget *chat_menubar;
  GtkWidget *menuitem8;
  GtkWidget *menuitem8_menu;
  GtkWidget *_______s_1;
  GtkWidget *___________________________a_1;
  GtkWidget *separatormenuitem2;
  GtkWidget *__________q_2;
  GtkWidget *menuitem9;
  GtkWidget *menuitem9_menu;
  GtkWidget *_____________t_2;
  GtkWidget *_______c_2;
  GtkWidget *______________p_2;
  GtkWidget *menuitem10;
  GtkWidget *menuitem10_menu;
  GtkWidget *block1;
  GtkWidget *view_profile2;
  GtkWidget *_________6;
  GtkWidget *invite1;
  GtkWidget *send_a_file2;
  GtkWidget *send_a_mail1;
  GtkWidget *menuitem11;
  GtkWidget *menuitem11_menu;
  GtkWidget *about3;
  GtkWidget *hbox2;
  GtkWidget *scrolledwindow8;
  GtkWidget *chat_textview;
  GtkWidget *vbuttonbox1;
  GtkWidget *sendfilebutton;
  GtkWidget *invitebutton;
  GtkWidget *hbuttonbox2;
  GtkWidget *blockbutton;
  GtkWidget *alignment1;
  GtkWidget *hbox3;
  GtkWidget *image11;
  GtkWidget *label5;
  GtkWidget *fontbutton;
  GtkWidget *alignment2;
  GtkWidget *hbox4;
  GtkWidget *image12;
  GtkWidget *label6;
  GtkWidget *smilebutton;
  GtkWidget *alignment3;
  GtkWidget *hbox5;
  GtkWidget *image13;
  GtkWidget *label7;
  GtkWidget *hbox1;
  GtkWidget *chatentry;
  GtkWidget *sendbutton;
  GtkWidget *statusbar1;
  GtkAccelGroup *accel_group;
  accel_group = gtk_accel_group_new ();

  chatwindow = gtk_window_new (GTK_WINDOW_TOPLEVEL);
  gtk_widget_set_usize (chatwindow, 389, 384);
  gtk_window_set_title (GTK_WINDOW (chatwindow), title);
  gtk_window_set_destroy_with_parent (GTK_WINDOW (chatwindow), TRUE);

  vbox2 = gtk_vbox_new (FALSE, 0);
  gtk_widget_show (vbox2);
  gtk_container_add (GTK_CONTAINER (chatwindow), vbox2);
  
	session = chat_session_new();
	gtk_box_pack_start (GTK_BOX (vbox2), session, TRUE, TRUE, 0);
	chat_session_set_channel(CHAT_SESSION(session), channel);

  chat_menubar = gtk_menu_bar_new ();
  gtk_widget_show (chat_menubar);
  gtk_box_pack_start (GTK_BOX (vbox2), chat_menubar, FALSE, FALSE, 0);

  menuitem8 = gtk_menu_item_new_with_mnemonic (_("_File"));
  gtk_widget_show (menuitem8);
  gtk_container_add (GTK_CONTAINER (chat_menubar), menuitem8);

  menuitem8_menu = gtk_menu_new ();
  gtk_menu_item_set_submenu (GTK_MENU_ITEM (menuitem8), menuitem8_menu);

  _______s_1 = gtk_image_menu_item_new_from_stock ("gtk-save", accel_group);
  gtk_widget_show (_______s_1);
  gtk_container_add (GTK_CONTAINER (menuitem8_menu), _______s_1);

  ___________________________a_1 = gtk_image_menu_item_new_from_stock ("gtk-save-as", accel_group);
  gtk_widget_show (___________________________a_1);
  gtk_container_add (GTK_CONTAINER (menuitem8_menu), ___________________________a_1);

  separatormenuitem2 = gtk_menu_item_new ();
  gtk_widget_show (separatormenuitem2);
  gtk_container_add (GTK_CONTAINER (menuitem8_menu), separatormenuitem2);
  gtk_widget_set_sensitive (separatormenuitem2, FALSE);

  __________q_2 = gtk_image_menu_item_new_from_stock ("gtk-quit", accel_group);
  gtk_widget_show (__________q_2);
  gtk_container_add (GTK_CONTAINER (menuitem8_menu), __________q_2);

  menuitem9 = gtk_menu_item_new_with_mnemonic (_("_Edit"));
  gtk_widget_show (menuitem9);
  gtk_container_add (GTK_CONTAINER (chat_menubar), menuitem9);

  menuitem9_menu = gtk_menu_new ();
  gtk_menu_item_set_submenu (GTK_MENU_ITEM (menuitem9), menuitem9_menu);

  _____________t_2 = gtk_image_menu_item_new_from_stock ("gtk-cut", accel_group);
  gtk_widget_show (_____________t_2);
  gtk_container_add (GTK_CONTAINER (menuitem9_menu), _____________t_2);

  _______c_2 = gtk_image_menu_item_new_from_stock ("gtk-copy", accel_group);
  gtk_widget_show (_______c_2);
  gtk_container_add (GTK_CONTAINER (menuitem9_menu), _______c_2);

  ______________p_2 = gtk_image_menu_item_new_from_stock ("gtk-paste", accel_group);
  gtk_widget_show (______________p_2);
  gtk_container_add (GTK_CONTAINER (menuitem9_menu), ______________p_2);

  menuitem10 = gtk_menu_item_new_with_mnemonic (_("_Action"));
  gtk_widget_show (menuitem10);
  gtk_container_add (GTK_CONTAINER (chat_menubar), menuitem10);

  menuitem10_menu = gtk_menu_new ();
  gtk_menu_item_set_submenu (GTK_MENU_ITEM (menuitem10), menuitem10_menu);

  block1 = gtk_menu_item_new_with_mnemonic (_("_Block"));
  gtk_widget_show (block1);
  gtk_container_add (GTK_CONTAINER (menuitem10_menu), block1);

  view_profile2 = gtk_menu_item_new_with_mnemonic (_("_View profile"));
  gtk_widget_show (view_profile2);
  gtk_container_add (GTK_CONTAINER (menuitem10_menu), view_profile2);

  _________6 = gtk_menu_item_new ();
  gtk_widget_show (_________6);
  gtk_container_add (GTK_CONTAINER (menuitem10_menu), _________6);
  gtk_widget_set_sensitive (_________6, FALSE);

  invite1 = gtk_menu_item_new_with_mnemonic (_("_Invite"));
  gtk_widget_show (invite1);
  gtk_container_add (GTK_CONTAINER (menuitem10_menu), invite1);

  send_a_file2 = gtk_menu_item_new_with_mnemonic (_("_Send a file"));
  gtk_widget_show (send_a_file2);
  gtk_container_add (GTK_CONTAINER (menuitem10_menu), send_a_file2);

  send_a_mail1 = gtk_menu_item_new_with_mnemonic (_("Send a _mail"));
  gtk_widget_show (send_a_mail1);
  gtk_container_add (GTK_CONTAINER (menuitem10_menu), send_a_mail1);

  menuitem11 = gtk_menu_item_new_with_mnemonic (_("_Help"));
  gtk_widget_show (menuitem11);
  gtk_container_add (GTK_CONTAINER (chat_menubar), menuitem11);

  menuitem11_menu = gtk_menu_new ();
  gtk_menu_item_set_submenu (GTK_MENU_ITEM (menuitem11), menuitem11_menu);

  about3 = gtk_menu_item_new_with_mnemonic (_("_About"));
  gtk_widget_show (about3);
  gtk_container_add (GTK_CONTAINER (menuitem11_menu), about3);

  hbox2 = gtk_hbox_new (FALSE, 0);
  gtk_widget_show (hbox2);
  gtk_box_pack_start (GTK_BOX (vbox2), hbox2, TRUE, TRUE, 0);

  scrolledwindow8 = gtk_scrolled_window_new (NULL, NULL);
  gtk_widget_show (scrolledwindow8);
  gtk_box_pack_start (GTK_BOX (hbox2), scrolledwindow8, TRUE, TRUE, 0);
  gtk_scrolled_window_set_policy (GTK_SCROLLED_WINDOW (scrolledwindow8), GTK_POLICY_NEVER, GTK_POLICY_AUTOMATIC);
  gtk_scrolled_window_set_shadow_type(GTK_SCROLLED_WINDOW(scrolledwindow8), GTK_SHADOW_IN);
  
  chat_textview = gtk_text_view_new ();
  gtk_widget_show (chat_textview);
  gtk_container_add (GTK_CONTAINER (scrolledwindow8), chat_textview);
  gtk_text_view_set_editable (GTK_TEXT_VIEW (chat_textview), FALSE);
  gtk_text_view_set_cursor_visible (GTK_TEXT_VIEW (chat_textview), FALSE);
  gtk_text_view_set_wrap_mode(GTK_TEXT_VIEW(chat_textview), GTK_WRAP_CHAR);
  gtk_text_view_set_left_margin (GTK_TEXT_VIEW (chat_textview), 4);
  gtk_text_view_set_pixels_above_lines (GTK_TEXT_VIEW (chat_textview), 4);
  gtk_container_set_border_width(GTK_CONTAINER(chat_textview), 4);
    
  //gtk_text_view_set_pixels_below_lines (GTK_TEXT_VIEW (chat_textview), 4);
  
  gtk_text_buffer_set_text (gtk_text_view_get_buffer (GTK_TEXT_VIEW (chat_textview)),
    _("Do not send any creadit card number or ssn etc!!.\r\n"), -1);

  vbuttonbox1 = gtk_vbutton_box_new ();
  gtk_widget_show (vbuttonbox1);
  gtk_box_pack_start (GTK_BOX (hbox2), vbuttonbox1, FALSE, TRUE, 0);
  gtk_button_box_set_layout (GTK_BUTTON_BOX (vbuttonbox1), GTK_BUTTONBOX_START);
  gtk_button_box_set_spacing (GTK_BUTTON_BOX (vbuttonbox1), 0);

  sendfilebutton = gtk_button_new_with_mnemonic (_("Send a file"));
  gtk_widget_show (sendfilebutton);
  gtk_container_add (GTK_CONTAINER (vbuttonbox1), sendfilebutton);
  gtk_container_set_border_width (GTK_CONTAINER (sendfilebutton), 2);
  GTK_WIDGET_SET_FLAGS (sendfilebutton, GTK_CAN_DEFAULT);

  invitebutton = gtk_button_new_with_mnemonic (_("Invite"));
  gtk_widget_show (invitebutton);
  gtk_container_add (GTK_CONTAINER (vbuttonbox1), invitebutton);
  gtk_container_set_border_width (GTK_CONTAINER (invitebutton), 2);
  GTK_WIDGET_SET_FLAGS (invitebutton, GTK_CAN_DEFAULT);

  hbuttonbox2 = gtk_hbutton_box_new ();
  gtk_widget_show (hbuttonbox2);
  gtk_box_pack_start (GTK_BOX (vbox2), hbuttonbox2, FALSE, TRUE, 0);
  gtk_button_box_set_layout (GTK_BUTTON_BOX (hbuttonbox2), GTK_BUTTONBOX_START);
  gtk_button_box_set_spacing (GTK_BUTTON_BOX (hbuttonbox2), 0);

  blockbutton = gtk_button_new ();
  gtk_widget_show (blockbutton);
  gtk_container_add (GTK_CONTAINER (hbuttonbox2), blockbutton);
  GTK_WIDGET_SET_FLAGS (blockbutton, GTK_CAN_DEFAULT);
  gtk_button_set_relief (GTK_BUTTON (blockbutton), GTK_RELIEF_NONE);

  alignment1 = gtk_alignment_new (0.5, 0.5, 0, 0);
  gtk_widget_show (alignment1);
  gtk_container_add (GTK_CONTAINER (blockbutton), alignment1);

  hbox3 = gtk_hbox_new (FALSE, 2);
  gtk_widget_show (hbox3);
  gtk_container_add (GTK_CONTAINER (alignment1), hbox3);

  image11 = create_pixmap (chatwindow, "gnome-error.png");
  gtk_widget_show (image11);
  gtk_box_pack_start (GTK_BOX (hbox3), image11, FALSE, FALSE, 0);

  label5 = gtk_label_new_with_mnemonic (_("Block"));
  gtk_widget_show (label5);
  gtk_box_pack_start (GTK_BOX (hbox3), label5, FALSE, FALSE, 0);
  gtk_label_set_justify (GTK_LABEL (label5), GTK_JUSTIFY_LEFT);

  fontbutton = gtk_button_new ();
  gtk_widget_show (fontbutton);
  gtk_container_add (GTK_CONTAINER (hbuttonbox2), fontbutton);
  GTK_WIDGET_SET_FLAGS (fontbutton, GTK_CAN_DEFAULT);
  gtk_button_set_relief (GTK_BUTTON (fontbutton), GTK_RELIEF_NONE);

  alignment2 = gtk_alignment_new (0.5, 0.5, 0, 0);
  gtk_widget_show (alignment2);
  gtk_container_add (GTK_CONTAINER (fontbutton), alignment2);

  hbox4 = gtk_hbox_new (FALSE, 2);
  gtk_widget_show (hbox4);
  gtk_container_add (GTK_CONTAINER (alignment2), hbox4);

  image12 = create_pixmap (chatwindow, "fonts.png");
  gtk_widget_show (image12);
  gtk_box_pack_start (GTK_BOX (hbox4), image12, FALSE, FALSE, 0);

  label6 = gtk_label_new_with_mnemonic (_("Font"));
  gtk_widget_show (label6);
  gtk_box_pack_start (GTK_BOX (hbox4), label6, FALSE, FALSE, 0);
  gtk_label_set_justify (GTK_LABEL (label6), GTK_JUSTIFY_LEFT);

  smilebutton = gtk_button_new ();
  gtk_widget_show (smilebutton);
  gtk_container_add (GTK_CONTAINER (hbuttonbox2), smilebutton);
  GTK_WIDGET_SET_FLAGS (smilebutton, GTK_CAN_DEFAULT);
  gtk_button_set_relief (GTK_BUTTON (smilebutton), GTK_RELIEF_NONE);

  alignment3 = gtk_alignment_new (0.5, 0.5, 0, 0);
  gtk_widget_show (alignment3);
  gtk_container_add (GTK_CONTAINER (smilebutton), alignment3);

  hbox5 = gtk_hbox_new (FALSE, 2);
  gtk_widget_show (hbox5);
  gtk_container_add (GTK_CONTAINER (alignment3), hbox5);

  image13 = create_pixmap (chatwindow, "ksmiletris.png");
  gtk_widget_show (image13);
  gtk_box_pack_start (GTK_BOX (hbox5), image13, FALSE, FALSE, 0);

  label7 = gtk_label_new_with_mnemonic (_("^^"));
  gtk_widget_show (label7);
  gtk_box_pack_start (GTK_BOX (hbox5), label7, FALSE, FALSE, 0);
  gtk_label_set_justify (GTK_LABEL (label7), GTK_JUSTIFY_LEFT);

  hbox1 = gtk_hbox_new (FALSE, 0);
  gtk_widget_show (hbox1);
  gtk_box_pack_start (GTK_BOX (vbox2), hbox1, FALSE, FALSE, 0);

  chatentry = gtk_entry_new ();
  gtk_widget_show (chatentry);
  gtk_box_pack_start (GTK_BOX (hbox1), chatentry, TRUE, TRUE, 0);
  

  sendbutton = gtk_button_new_with_mnemonic (_("Send"));
  gtk_widget_show (sendbutton);
  gtk_box_pack_start (GTK_BOX (hbox1), sendbutton, FALSE, FALSE, 0);
  gtk_container_set_border_width (GTK_CONTAINER (sendbutton), 2);

  statusbar1 = gtk_statusbar_new ();
  gtk_widget_show (statusbar1);
  gtk_box_pack_start (GTK_BOX (vbox2), statusbar1, FALSE, FALSE, 0);

	gtk_widget_grab_focus (chatentry);

  g_signal_connect (GTK_OBJECT (chatwindow), "destroy",
                      GTK_SIGNAL_FUNC (on_chatwindow_destroy),
                      NULL);
  g_signal_connect (GTK_OBJECT (_______s_1), "activate",
                      GTK_SIGNAL_FUNC (on________s_1_activate),
                      NULL);
  g_signal_connect (GTK_OBJECT (___________________________a_1), "activate",
                      GTK_SIGNAL_FUNC (on____________________________a_1_activate),
                      NULL);
  g_signal_connect (GTK_OBJECT (__________q_2), "activate",
                      GTK_SIGNAL_FUNC (on___________q_2_activate),
                      NULL);
  g_signal_connect (GTK_OBJECT (_____________t_2), "activate",
                      GTK_SIGNAL_FUNC (on______________t_2_activate),
                      NULL);
  g_signal_connect (GTK_OBJECT (_______c_2), "activate",
                      GTK_SIGNAL_FUNC (on________c_2_activate),
                      NULL);
  g_signal_connect (GTK_OBJECT (______________p_2), "activate",
                      GTK_SIGNAL_FUNC (on_______________p_2_activate),
                      NULL);
  g_signal_connect (GTK_OBJECT (block1), "activate",
                      GTK_SIGNAL_FUNC (on_block1_activate),
                      NULL);
  g_signal_connect (GTK_OBJECT (view_profile2), "activate",
                      GTK_SIGNAL_FUNC (on_view_profile2_activate),
                      NULL);
  g_signal_connect (GTK_OBJECT (invite1), "activate",
                      GTK_SIGNAL_FUNC (on_invite1_activate),
                      NULL);
  g_signal_connect (GTK_OBJECT (send_a_file2), "activate",
                      GTK_SIGNAL_FUNC (on_send_a_file2_activate),
                      NULL);
  g_signal_connect (GTK_OBJECT (send_a_mail1), "activate",
                      GTK_SIGNAL_FUNC (on_send_a_mail1_activate),
                      NULL);
  g_signal_connect (GTK_OBJECT (about3), "activate",
                      GTK_SIGNAL_FUNC (on_about3_activate),
                      NULL);
  g_signal_connect (GTK_OBJECT (sendfilebutton), "clicked",
                      GTK_SIGNAL_FUNC (on_sendfilebutton_clicked),
                      NULL);
  g_signal_connect (GTK_OBJECT (invitebutton), "clicked",
                      GTK_SIGNAL_FUNC (on_invitebutton_clicked),
                      NULL);
  g_signal_connect (GTK_OBJECT (blockbutton), "clicked",
                      GTK_SIGNAL_FUNC (on_blockbutton_clicked),
                      NULL);
  g_signal_connect (GTK_OBJECT (fontbutton), "clicked",
                      GTK_SIGNAL_FUNC (on_fontbutton_clicked),
                      NULL);
  g_signal_connect (GTK_OBJECT (smilebutton), "clicked",
                      GTK_SIGNAL_FUNC (on_smilebutton_clicked),
                      NULL);
  g_signal_connect (GTK_OBJECT (chatentry), "activate",
                      GTK_SIGNAL_FUNC (on_chatentry_activate),
                      NULL);
	 g_signal_connect ((gpointer) chatentry, "changed",
                    G_CALLBACK (on_chatentry_changed),
                    NULL);
				  
  g_signal_connect (GTK_OBJECT (sendbutton), "clicked",
                      GTK_SIGNAL_FUNC (on_sendbutton_clicked),
                      NULL);

  /* Store pointers to all widgets, for use by lookup_widget(). */
  GLADE_HOOKUP_OBJECT_NO_REF (chatwindow, chatwindow, "chatwindow");
	GLADE_HOOKUP_OBJECT (chatwindow, session, "session");
  GLADE_HOOKUP_OBJECT (chatwindow, vbox2, "vbox2");
  GLADE_HOOKUP_OBJECT (chatwindow, chat_menubar, "chat_menubar");
  GLADE_HOOKUP_OBJECT (chatwindow, menuitem8, "menuitem8");
  GLADE_HOOKUP_OBJECT (chatwindow, menuitem8_menu, "menuitem8_menu");
  GLADE_HOOKUP_OBJECT (chatwindow, _______s_1, "_______s_1");
  GLADE_HOOKUP_OBJECT (chatwindow, ___________________________a_1, "___________________________a_1");
  GLADE_HOOKUP_OBJECT (chatwindow, separatormenuitem2, "separatormenuitem2");
  GLADE_HOOKUP_OBJECT (chatwindow, __________q_2, "__________q_2");
  GLADE_HOOKUP_OBJECT (chatwindow, menuitem9, "menuitem9");
  GLADE_HOOKUP_OBJECT (chatwindow, menuitem9_menu, "menuitem9_menu");
  GLADE_HOOKUP_OBJECT (chatwindow, _____________t_2, "_____________t_2");
  GLADE_HOOKUP_OBJECT (chatwindow, _______c_2, "_______c_2");
  GLADE_HOOKUP_OBJECT (chatwindow, ______________p_2, "______________p_2");
  GLADE_HOOKUP_OBJECT (chatwindow, menuitem10, "menuitem10");
  GLADE_HOOKUP_OBJECT (chatwindow, menuitem10_menu, "menuitem10_menu");
  GLADE_HOOKUP_OBJECT (chatwindow, block1, "block1");
  GLADE_HOOKUP_OBJECT (chatwindow, view_profile2, "view_profile2");
  GLADE_HOOKUP_OBJECT (chatwindow, _________6, "_________6");
  GLADE_HOOKUP_OBJECT (chatwindow, invite1, "invite1");
  GLADE_HOOKUP_OBJECT (chatwindow, send_a_file2, "send_a_file2");
  GLADE_HOOKUP_OBJECT (chatwindow, send_a_mail1, "send_a_mail1");
  GLADE_HOOKUP_OBJECT (chatwindow, menuitem11, "menuitem11");
  GLADE_HOOKUP_OBJECT (chatwindow, menuitem11_menu, "menuitem11_menu");
  GLADE_HOOKUP_OBJECT (chatwindow, about3, "about3");
  GLADE_HOOKUP_OBJECT (chatwindow, hbox2, "hbox2");
  GLADE_HOOKUP_OBJECT (chatwindow, scrolledwindow8, "scrolledwindow8");
  GLADE_HOOKUP_OBJECT (chatwindow, chat_textview, "chat_textview");
  GLADE_HOOKUP_OBJECT (chatwindow, vbuttonbox1, "vbuttonbox1");
  GLADE_HOOKUP_OBJECT (chatwindow, sendfilebutton, "sendfilebutton");
  GLADE_HOOKUP_OBJECT (chatwindow, invitebutton, "invitebutton");
  GLADE_HOOKUP_OBJECT (chatwindow, hbuttonbox2, "hbuttonbox2");
  GLADE_HOOKUP_OBJECT (chatwindow, blockbutton, "blockbutton");
  GLADE_HOOKUP_OBJECT (chatwindow, alignment1, "alignment1");
  GLADE_HOOKUP_OBJECT (chatwindow, hbox3, "hbox3");
  GLADE_HOOKUP_OBJECT (chatwindow, image11, "image11");
  GLADE_HOOKUP_OBJECT (chatwindow, label5, "label5");
  GLADE_HOOKUP_OBJECT (chatwindow, fontbutton, "fontbutton");
  GLADE_HOOKUP_OBJECT (chatwindow, alignment2, "alignment2");
  GLADE_HOOKUP_OBJECT (chatwindow, hbox4, "hbox4");
  GLADE_HOOKUP_OBJECT (chatwindow, image12, "image12");
  GLADE_HOOKUP_OBJECT (chatwindow, label6, "label6");
  GLADE_HOOKUP_OBJECT (chatwindow, smilebutton, "smilebutton");
  GLADE_HOOKUP_OBJECT (chatwindow, alignment3, "alignment3");
  GLADE_HOOKUP_OBJECT (chatwindow, hbox5, "hbox5");
  GLADE_HOOKUP_OBJECT (chatwindow, image13, "image13");
  GLADE_HOOKUP_OBJECT (chatwindow, label7, "label7");
  GLADE_HOOKUP_OBJECT (chatwindow, hbox1, "hbox1");
  GLADE_HOOKUP_OBJECT (chatwindow, chatentry, "chatentry");
  GLADE_HOOKUP_OBJECT (chatwindow, sendbutton, "sendbutton");
  GLADE_HOOKUP_OBJECT (chatwindow, statusbar1, "statusbar1");
  
  gtk_window_add_accel_group (GTK_WINDOW (chatwindow), accel_group);

  return chatwindow;
}
