/*
 * fmsn
 * Copyright (C) 2003  Choiday
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
 *
 * Choiday
 * day@smileday.net
 */

#include "md5.h"
#include "login.h"
#include "network.h"
#include "mainview.h"
#include "support.h"
#include "global.h"

gint login(void)
{
	gchar hashResponse[65];
	md5_state_t state;
	md5_byte_t digest[16];
	gchar fourth[21];
	gchar creds[33];
	gint di;
	gchar nick[MAXNICKNAME];
    	
    	gchar *PW;
    	gchar temp[MAXRECV];
    	gchar loginAddress[16] = "207.46.104.20"; //messenger.hotmail.com
    	gint port = 1863;
    	gint m_sock;

	id = g_strdup(gtk_entry_get_text(GTK_ENTRY(ID_combo_entry)));
    PW = g_strdup(gtk_entry_get_text(GTK_ENTRY(password)));

	m_sock = Socket_connect(loginAddress, port);
	assert(m_sock);
	
	Socket_send(m_sock, "VER 0 MSNP7 MSNP6 MSNP5 MSNP4 CVRO\n");
	Socket_recv(m_sock, temp);

    	Socket_send(m_sock, "INF 1\n");
	Socket_recv(m_sock, temp);
	
	Socket_send(m_sock, "USR 2 MD5 I %s\n", id);
	Socket_recv(m_sock, temp);
	    	
	if(!strncmp(temp, "XFR", 3)) {
	sscanf(temp, "%*s %*s %*s %[^:]:%d", loginAddress, &port);
	close(m_sock);
	m_sock = Socket_connect(loginAddress, port);
	}
	Socket_send(m_sock, "VER 0 MSNP7 MSNP6 MSNP5 MSNP4 CVRO\n");
	Socket_recv(m_sock, temp);
	
	Socket_send(m_sock, "INF 1\n");
	Socket_recv(m_sock, temp);
	
	Socket_send(m_sock, "USR 2 MD5 I %s\n", id);
	Socket_recv(m_sock, temp);
		
	/* encoding */
	sscanf(temp, "%*s %*s %*s %*s %s", fourth);
	sprintf(hashResponse, "%s%s", fourth, PW);
	md5_init(&state);
	md5_append(&state, (const md5_byte_t *)hashResponse, strlen(hashResponse));
	md5_finish(&state, digest);
	
	for(di = 0; di < 16; ++di) {
		if(di == 0)
				sprintf(creds, "%02x", digest[di]);
		else
				sprintf(creds, "%s%02x", creds, digest[di]);
	}
	/* end of encoding */
	
	Socket_send(m_sock, "USR 3 MD5 S %s\n", creds);
	
	g_free(PW);
	
    Socket_recv(m_sock, temp);
    
	sscanf(temp, "%*s %*d %*s %*s %s %*d", nick); //get nickname
	
	nickname = url_decode(nick);
		
	Socket_send(m_sock, "SYN 4 0\r\n");
    	Socket_recv(m_sock, temp);
    	
	Init_mainview();
	gtk_window_set_title (GTK_WINDOW (mainwindow), nickname);
	
	return m_sock;
}
