/*
 * fmsn
 * Copyright (C) 2003  Choiday
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
 *
 * Choiday
 * day@smileday.net
 */

#ifndef OPENSOCK_H
#define OPENSOCK_H

#include <gtk/gtk.h>
#include <sys/types.h>
#include <sys/socket.h>
#include <netinet/in.h>
#include <netdb.h>
#include <unistd.h>
#include <string.h>
#include <errno.h>
#include <arpa/inet.h>
#include <stdio.h>

gint Socket_connect (gchar *host, gint port);
gint Socket_create();
//for sync communication
gint Socket_send ( gint m_sock, const gchar *fmt, ...); 
gint Socket_recv (gint m_sock, gchar *str );
gint is_valid(gint m_sock);

//for async communication
gint Send( GIOChannel *channel, const gchar *fmt, ...);
#endif
