/*
 * fmsn
 * Copyright (C) 2003  Choiday
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
 *
 * Choiday
 * day@smileday.net
 */

#ifndef GLOBAL_H
#define GLOBAL_H

#define MAXRECV 10000
#define MSN_BUF_LEN 8192

#define MAXID 100
#define MAXNICKNAME 1000
#define MAXGROUPNAME 500
#define MAXGROUP 500

//define buddy type
#define BL 1
#define AL 2
#define RL 4
#define FL 8

enum
{
	FLN,
	NLN,
	IDL,
	BSY,
	AWY,
	PHN,
	LUN,
	BRB
};

enum
{
	ICON,
	NICKNAME,
   	ID,
   	GROUPNUMBER,
	BUDDYTYPE,
	BUDDYSTATUS,
   	N_COLUMNS
};

enum
{
	EMAIL,
	CHATWINDOW,
	L_N_COLUMNS
};

GtkTreeStore *tree;
GtkTreeViewColumn *column;
GtkCellRenderer *renderer;

GtkTreeIter group_iter;  /* Parent iter */
GtkTreeIter buddy_iter;  /* Child iter  */
GtkTreeIter now_iter;

GdkPixbuf *image[30];
gchar *id;
gchar *nickname;
gchar title[MAXID];
gint mystatus;
gint tr_id; //transaction id
gint willbedestroyed;
gint sock;
GIOChannel *main_channel;

GSList *on;
GSList *off;

#endif
